TIFFFIELDDATATYPE(3tiff)

NAME
TIFFFieldDataType - get TIFF data type from field information

SYNOPSIS

    #include <tiffio.h>

TIFFDataType TIFFFieldDataType(const TIFFField *fip)

DESCRIPTION

TIFFFieldDataType() returns the data type stored in a TIFF field. fip is a field information pointer previously returned by TIFFFindField(), TIFFFieldWithTag(), or TIFFFieldWithName().

RETURN VALUES

TIFFFieldDataType() returns a member of the enum type TIFFDataType.

SEE ALSO

TIFFFieldName (3tiff), TIFFFieldPassCount (3tiff), TIFFFieldQuery (3tiff), TIFFFieldReadCount (3tiff), TIFFFieldTag (3tiff), TIFFFieldWriteCount (3tiff), libtiff (3tiff)

AUTHOR
LibTIFF contributors

COPYRIGHT
1988-2025, LibTIFF contributors